Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 9853ad069a86f1e21bce16d80f5733f56cfedd79)
+++ sansview/perspectives/fitting/basepage.py	(revision 59a7f2d96a740711698407c792a5438a82d5809b)
@@ -17,5 +17,7 @@
     ## Title to appear on top of the window
     window_caption = "Fit Page"
+    
     name=""
+    
     def __init__(self,parent, pageinfo, name):
         wx.ScrolledWindow.__init__(self, parent)
@@ -68,4 +70,5 @@
             self.data = self.page_info.data
             self.event_owner = self.page_info.event_owner
+            
             if self.model !=None:
                 self.disp_list= self.model.getDispParamList()
@@ -573,5 +576,6 @@
         if self.model!=None:
             self.formfactorbox.SetValue(self.model.name)
-        
+           
+            
         self.structurebox = wx.ComboBox(self, -1,style=wx.CB_READONLY)
         wx.EVT_COMBOBOX(self.formfactorbox,-1, self._on_select_model)
@@ -587,5 +591,5 @@
                                 self.model_list_box["Structure Factors"])
         
-         ## check model type to show sizer
+        ## check model type to show sizer
         if self.model !=None:
             self._set_model_sizer_selection( self.model )
@@ -698,4 +702,5 @@
         try:
             combobox.SetSelection(0)
+            
         except:
             pass
@@ -704,5 +709,5 @@
    
    
-    def _on_select_model_helper(self,event): 
+    def _on_select_model_helper(self): 
         """
              call back for model selection
@@ -817,12 +822,11 @@
             TO IMPLEMENT
         """
-    
         return
-        from sans.models.dispersion_models import GaussianDispersion
         if self.model==None:
             return
-        list= self.model.dispersion.keys()
+        from sans.models.dispersion_models import GaussianDispersion
+        list = self.model.dispersion.keys()
+        
         for key in list:
-           
             ## The parameter was un-selected. Go back to Gaussian model (with 0 pts)
             disp_model = GaussianDispersion()
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision c9a43773a6a8aabe5aaa2b81bcfbbf72236bf041)
+++ sansview/perspectives/fitting/fitpage.py	(revision 59a7f2d96a740711698407c792a5438a82d5809b)
@@ -31,4 +31,5 @@
         self.name= self.data.name
         page_info.page_name= self.data.name
+       
         ## fit page does not content npts txtcrtl
         self.npts=None
@@ -39,6 +40,7 @@
         self._fill_model_sizer( self.sizer1)
         self._fill_range_sizer() 
-        if hasattr(self.page_info,"model"):
-            self.set_model_param_sizer(self.model)
+        self.model = self.formfactorbox.GetClientData(0)()
+        self.page_info.model= self.model
+        self._on_select_model(event=None)
             
         
@@ -345,5 +347,5 @@
              call back for model selection
         """    
-        self._on_select_model_helper(event) 
+        self._on_select_model_helper() 
         self.set_model_param_sizer(self.model)
         self._set_sizer_gaussian()
@@ -358,5 +360,5 @@
             ## error occured on chisqr computation
             pass
-        
+    
     def _onparamEnter(self,event):
         """ 
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision c9a43773a6a8aabe5aaa2b81bcfbbf72236bf041)
+++ sansview/perspectives/fitting/modelpage.py	(revision 59a7f2d96a740711698407c792a5438a82d5809b)
@@ -97,5 +97,5 @@
              call back for model selection
         """    
-        self._on_select_model_helper(event) 
+        self._on_select_model_helper() 
         self.set_model_param_sizer(self.model)
         self._set_sizer_gaussian()
@@ -150,5 +150,6 @@
         nsigmas = wx.StaticText(self, -1, 'Nsigmas')
         self.sizer4_4.Add(nsigmas,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-       
+        
+        
         for item in self.model.dispersion.keys():
             name1=item+".width"
@@ -191,4 +192,5 @@
                 
                 elif p=="nsigmas":
+                        
                         ix =3 
                         value= self.model.getParam(name3)
Index: sansview/perspectives/fitting/pageInfo.py
===================================================================
--- sansview/perspectives/fitting/pageInfo.py	(revision c9a43773a6a8aabe5aaa2b81bcfbbf72236bf041)
+++ sansview/perspectives/fitting/pageInfo.py	(revision 59a7f2d96a740711698407c792a5438a82d5809b)
@@ -70,4 +70,5 @@
         self.list_of_radiobox[label]=[label, id, state]    
     
+    
     def clone(self):
         model=None
